### Hierarchy

- Clipboard

## Index

### Properties

- formats
- generalClipboard

### Methods

- clear
- clearData
- getData
- get_formats
- hasFormat
- setData
- setDataHandler

## Properties

### formats

formats: Array<ClipboardFormats>

- Defined in lib/openfl/desktop/Clipboard.d.ts:14

### Static generalClipboard

generalClipboard: Clipboard

- Defined in lib/openfl/desktop/Clipboard.d.ts:12

## Methods

### clear

- clear(): void

- - Defined in lib/openfl/desktop/Clipboard.d.ts:18

  #### Returns void

### clearData

- clearData(format: ClipboardFormats): void

- - Defined in lib/openfl/desktop/Clipboard.d.ts:19

  #### Parameters

  - ##### format: ClipboardFormats

  #### Returns void

### getData

- getData(format: ClipboardFormats, transferMode?: ClipboardTransferMode): any

- - Defined in lib/openfl/desktop/Clipboard.d.ts:20

  #### Parameters

  - ##### format: ClipboardFormats

  - ##### Optional transferMode: ClipboardTransferMode

  #### Returns any

### Protected get_formats

- get_formats(): Array<ClipboardFormats>

- - Defined in lib/openfl/desktop/Clipboard.d.ts:16

  #### Returns Array<ClipboardFormats>

### hasFormat

- hasFormat(format: ClipboardFormats): boolean

- - Defined in lib/openfl/desktop/Clipboard.d.ts:21

  #### Parameters

  - ##### format: ClipboardFormats

  #### Returns boolean

### setData

- setData(format: ClipboardFormats, data: any, serializable?: boolean): boolean

- - Defined in lib/openfl/desktop/Clipboard.d.ts:22

  #### Parameters

  - ##### format: ClipboardFormats

  - ##### data: any

  - ##### Optional serializable: boolean

  #### Returns boolean

### setDataHandler

- setDataHandler(format: ClipboardFormats, handler: function, serializable?: boolean): boolean

- - Defined in lib/openfl/desktop/Clipboard.d.ts:23

  #### Parameters

  - ##### format: ClipboardFormats

  - ##### handler: function

    - - (): any

      - #### Returns any

  - ##### Optional serializable: boolean

  #### Returns boolean

Generated using TypeDoc